/*	//right = PGD, PGC / left = Vdd, Vpp
#define mLat_Vdd LATCbits.LATC6
#define mLat_Vpp LATCbits.LATC7
#define mLat_PGD LATBbits.LATB4
#define mLat_PGC LATBbits.LATB5
#define mTRIS_PGD TRISBbits.TRISB4
#define mPort_PGD PORTBbits.RB4

#define mInitW509Ports()      mLat_Vdd=0; mLat_Vpp=0; TRISC &= 0x3F; LATB &= 0xCF; ANSELH = 0; TRISB &= 0xCF;
*/

#ifdef _LEFT_PGD
//right = Vdd, Vpp / left = PGD, PGC
	#define mLat_Vdd LATBbits.LATB4
	#define mTris_Vdd TRISBbits.TRISB4
	#define mLat_Vpp LATBbits.LATB5		// for 2 Tr switch Vpp
	#define mTris_Vpp TRISBbits.TRISB5
	#define mLat_Vpp1 LATBbits.LATB6	// for 1 Tr switch Vpp
	#define mTris_Vpp1 TRISBbits.TRISB6
	#define mLat_PGD LATCbits.LATC6
	#define mLat_PGC LATCbits.LATC7
	#define mTRIS_PGD TRISCbits.TRISC6
	#define mPort_PGD PORTCbits.RC6
	//#define mInitW509Ports()      mLat_Vdd=0; mLat_Vpp=0; TRISC &= 0x3F; LATB &= 0xCF; ANSELH = 0; TRISB &= 0xCF;
#else
	#define mLat_Vdd LATCbits.LATC6
	#define mTris_Vdd TRISCbits.TRISC6
	#define mLat_Vpp LATCbits.LATC7		// for 2 Tr switch Vpp
	#define mTris_Vpp TRISCbits.TRISC7
	#define mLat_Vpp1 LATBbits.LATB7	// for 1 Tr switch Vpp
	#define mTris_Vpp1 TRISBbits.TRISB7
	#define mLat_PGD LATBbits.LATB4
	#define mLat_PGC LATBbits.LATB5
	#define mTRIS_PGD TRISBbits.TRISB4
	#define mPort_PGD PORTBbits.RB4
#endif
	#define mInitW509Ports()      mLat_Vdd=0; mLat_Vpp=0; mLat_Vpp1=1; mTris_Vdd=0; mTris_Vpp=0; mTris_Vpp1=1; LATB &= 0xCF; ANSELH = 0; TRISB &= 0xCF;


#define mVdd_on() mLat_Vdd=1;
#define mVdd_off() mLat_Vdd=0;

//#define mVpp_on() mLat_Vpp=1;
//#define mVpp_off() mLat_Vpp=0;
#define mVpp_on() mLat_Vpp=1; mTris_Vpp1=0; mLat_Vpp1=0;
#define mVpp_off() mLat_Vpp=0; mLat_Vpp1=1; mTris_Vpp1=1; 


#define mPGC_H() mLat_PGC=1;
#define mPGC_L() mLat_PGC=0;

#define mPGD_H() mLat_PGD=1;
#define mPGD_L() mLat_PGD=0;


#define mSet_PWM_Mode() 	CCP1CON = 0b00001101; PSTRCON = 0b00000011;

//	Single output
//	PWM mode; P1A, P1C active-high; P1B, P1D active-high
//		CCP1CON = 0b00001100;
//	CCP1M<3:0> = 1101 = PWM mode; P1A, P1C active-high; P1B, P1D active-low
//		CCP1CON = 0b00001101;
//	P1B pin has the PWM waveform with polarity control from CCP1M<1:0>	
//		PSTRCON = 0b00000011;
//	Half-bridge output
//		CCP1CON = 0b10001100;
