


/** P R I V A T E  P R O T O T Y P E S ***************************************/
void UserInit(void);
void UserMain(void);

// Function of W509
void Command_00(unsigned char);
//void Command_03(void);
void Command_04(void);
void Command_05(void);
void Command_06(void);
void Command_07(void);
void Command_08(void);
void SendCmnd6(unsigned char);
void SendData1(unsigned short);
unsigned short RcvData1(unsigned char);
void SendCmnd4(unsigned char, unsigned char);
void SendData16(unsigned short);
unsigned char RcvData18(unsigned char);
void Command_09(void);
//void Command_0A(unsigned char);
void Command_0B(void);
void Command_0C(void);
void Command_0D(void);
void Command_0E(void);
void Command_0F(unsigned short);
void Command_10(unsigned char);

void EchoSum(unsigned char);

// ***** Delay MACRO

#define mDelay10u()			Delay10TCYx(12);
//#define mDelay10u()			Delay10TCYx(24);
#define mDelay100usx(N)		Delay1KTCYx(N); Delay100TCYx(N); Delay100TCYx(N);
//#define mDelay100usx(N)		Delay1KTCYx(N); Delay1KTCYx(N); 
#define mDelayTdly1()		Delay10TCYx(2);
#define mDelayPGC()			Delay10TCYx(1);
//#define mDelayTdly1()		Delay10TCYx(20);
//#define mDelayPGC()			Delay10TCYx(10);
//#define mDelayTdly1()		Delay10TCYx(200);	//test by oscillo 
//#define mDelayPGC()			Delay10TCYx(100);	//test by oscillo

#define mDelayTdly18()		Delay10TCYx(2);
#define mDelayPGC18()			Delay10TCYx(1);
#define mDelayP10()			Delay100TCYx(12);	// 100us


// ***** PIC18 Command & SFR *****************
#define mMOVLW 0x0E00
//#define mMOVWF 0x6E;
#define mMOVWF_TBLPTRU 0x6EF8
#define mMOVWF_TBLPTRH 0x6EF7
#define mMOVWF_TBLPTRL 0x6EF6
#define mTWrite_PstInc2 0b00001101
#define mTWrite_StrtPrg 0b00001111
#define mBCF_EECON1_EEPGD 0x9EA6
#define mBCF_EECON1_CFGS 0x9CA6
#define mMOVWF_EEADR 0x6EA9
#define mMOVWF_EEADRH 0x6EAA
#define mMOVWF_EEDATA 0x6EA8
#define mBSF_EECON1_RD 0x80A6
#define mMOVF_EEDATA_W 0x50A8
#define mMOVWF_TABLAT 0x6EF5
#define mINCF_EEADR 0x2AA9
#define mBSF_EECON1_WREN 0x84A6
#define mMOVLW_0x55 0x0E55
#define mMOVLW_0xAA 0x0EAA
#define mMOVWF_EECON2 0x6EA7
#define mBSF_EECON1_WR 0x82A6
#define mMOVF_EECON1_W 0x50A6
#define mBCF_EECON1_WREN 0x94A6

#define mMaxItr 200
